<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 

show_title('site.png', 'Список свежих загрузок');
$config['newtitle'] = 'Список свежих загрузок';

$total = DB :: $dbh -> querySingle("SELECT count(*) FROM `downs` WHERE `downs_time`>?;", array (SITETIME-3600 * 120));

if ($total > 0) {
  if ($start >= $total) {
    $start = 0;
  } 

  $querydown = DB :: $dbh -> query("SELECT `downs`.*, `cats_name` FROM `downs` LEFT JOIN `cats` ON `downs`.`downs_cats_id`=`cats`.`cats_id` WHERE `downs_time`>? ORDER BY `downs_time` DESC LIMIT " . $start . ", " . $config['downlist'] . ";", array(SITETIME-3600 * 120));

  while ($data = $querydown -> fetch()) {
    echo '<div class="b">';

    if ($data['downs_time'] >= (SITETIME-3600 * 24)) {
      echo '<img src="../images/img/new.gif" alt="image" /> ';
    } elseif ($data['downs_time'] >= (SITETIME-3600 * 72)) {
      echo '<img src="../images/img/new1.gif" alt="image" /> ';
    } else {
      echo '<img src="../images/img/new2.gif" alt="image" /> ';
    } 

    echo '<b><a href="down.php?act=view&amp;id=' . $data['downs_id'] . '&amp;' . SID . '">' . $data['downs_title'] . '</a></b> (' . read_file('files/' . $data['downs_link']) . ')</div>';

    echo '<div>Категория: <a href="down.php?cid=' . $data['downs_cats_id'] . '&amp;' . SID . '">' . $data['cats_name'] . '</a><br />';
    echo 'Скачиваний: ' . $data['downs_load'] . '<br />';
    echo '<a href="down.php?act=comments&amp;id=' . $data['downs_id'] . '&amp;' . SID . '">Комментарии</a> (' . $data['downs_comments'] . ') ';
    echo '<a href="down.php?act=end&amp;id=' . $data['downs_id'] . '&amp;' . SID . '">&raquo;</a><br />';
    echo 'Добавлено: <a href="../pages/anketa.php?uz=' . $data['downs_user'] . '&amp;' . SID . '">' . nickname($data['downs_user']) . '</a>  (' . date_fixed($data['downs_time']) . ')</div>';
  } 

  page_strnavigation('fresh.php?', $config['downlist'], $start, $total);

  echo '<img src="../images/img/new.gif" alt="image" /> - Самая свежая загрузка<br />';
  echo '<img src="../images/img/new1.gif" alt="image" /> - Более дня назад<br />';
  echo '<img src="../images/img/new2.gif" alt="image" /> - Более 3 дней назад<br /><br />';

  echo 'Всего файлов: <b>' . $total . '</b><br /><br />';
} else {
  show_error('За последние 5 дней загрузок еще нет!');
} 

echo '<img src="../images/img/reload.gif" alt="image" /> <a href="index.php?' . SID . '">Категории</a><br />';
echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>